XmCreateSelectionBox(3Xm)

NAME
XmCreateSelectionBox — the SelectionBox widget creation function.

SYNOPSIS
#include <Xm/SelectioB.h>

Widget XmCreateSelectionBox (parent, name, arglist, argcount)
    Widget    parent;
    String    name;
    ArgList    arglist;
    Cardinal    argcount;

DESCRIPTION
XmCreateSelectionBox creates an unmanaged SelectionBox. A SelectionBox is used to get a selection from a list of alternatives from the user and includes the following:

•   A scrolling list of alternatives.

•   An editable text field for the selected alternative.

•   Labels for the list and text field.

•   Three buttons.

The default button labels are OK, Cancel, and Help. An Apply button is created unmanaged and may be explicitly managed as needed. One additional WorkArea child may be added to the SelectionBox after creation.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

arglist
    Specifies the argument list.

argcount
    Specifies the number of attribute/value pairs in the argument list (arglist).

For a complete definition of SelectionBox and its associated resources, see XmSelectionBox(3Xm).

RETURN VALUE
Returns the SelectionBox widget ID.

RELATED INFORMATION
XmSelectionBox(3Xm)